<div class="card">
    <div style="margin-top: 15px;" class="card-header">
       <button style="float: right; margin: 5px;" (click)="addProduct()" class="btn btn-success ">Add</button>
        <h2>Product List</h2>  
    </div>
    <div class="card-body">

        <table class="table table-striped table-bordered">

            <thead >
                <tr>
                    <th>No</th>
                    <th>Image</th>
                    <th>Title</th>
                    <th>Price</th>
                    <th>Brand</th>
                    <th>Category</th>
                    <th>Active</th>
                    <th>Action</th>

                </tr>
            </thead>

            

            <tbody>
                <tr *ngFor = "let product of products ; let index = index">
                    <td>{{index + 1}}</td>
                    <td>
                        <img  *ngIf = "product['image']" class = "product-image" src= "http://localhost:8080/image/{{product['image']}}" alt="">
                        <button (click) = "uploadImage(product)" *ngIf = "!product['image']" class="btn btn-info btn-sm">Upload</button>
                    </td>
                    <td>{{product['title']}}</td>
                    <td>{{product['price']}}</td>
                    <td>{{product['brand']['title']}}</td>
                    <td>{{product['category']['title']}}</td>
                    <td>{{product['isActive']}}</td>
                    <td>
                        <button
                        (click)="toggleActive(product)"
                        [class.btn-success]="product['isActive'] == 0"
                        [class.btn-danger]="product['isActive'] == 1"
                         class="btn btn-sm">{{product['isActive']== 0 ? 'Activate' : 'Deactivate'}}</button>

                         <button (click)="onEdit(product)" style = "margin-left:10px ;" class="btn btn-warning btn-sm">Edit</button>
                         <button style = "margin-left:10px ;" class="btn btn-danger btn-sm">Delete</button>

                    </td>

                </tr>
            </tbody>
        </table>
    </div>
</div>